.w3-theme-l5 {color:#000 !important; background-color:#fef4f3 !important}
.w3-theme-l4 {color:#000 !important; background-color:#fdd9d6 !important}
.w3-theme-l3 {color:#000 !important; background-color:#fbb3ae !important}
.w3-theme-l2 {color:#000 !important; background-color:#f98d85 !important}
.w3-theme-l1 {color:#fff !important; background-color:#f6665c !important}
.w3-theme-d1 {color:#fff !important; background-color:#f32617 !important}
.w3-theme-d2 {color:#fff !important; background-color:#e11a0c !important}
.w3-theme-d3 {color:#fff !important; background-color:#c5170a !important}
.w3-theme-d4 {color:#fff !important; background-color:#a91409 !important}
.w3-theme-d5 {color:#fff !important; background-color:#8d1007 !important}

.w3-theme-light {color:#000 !important; background-color:#fef4f3 !important}
.w3-theme-dark {color:#fff !important; background-color:#8d1007 !important}
.w3-theme-action {color:#fff !important; background-color:#8d1007 !important}

.w3-theme {color:#fff !important;
 /*background-color:#f44336 !important;*/
 background:linear-gradient(to right, rgba(224,72,62,1), rgba(224,72,62,0));
 }
.w3-text-theme {color:#f44336 !important}
.w3-border-theme {border-color:#f44336 !important}

.w3-hover-theme:hover {color:#fff !important; background-color:#f44336 !important}
.w3-hover-text-theme:hover {color:#f44336 !important}
.w3-hover-border-theme:hover {border-color:#f44336 !important}

/*debug
 table, th, td {
   border: 1px solid black;
}
*/
.cra-loginbtn {
    background-color: #a91409;
    /* border: none; */
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    border: 2px solid grey;
    border-radius: 15px;    
/*     margin: 4px 2px; */
/*     cursor: pointer; */
/*color:#555;*/
}

/*On/Off Checkbox */

.checkbox > input[type=checkbox] {
    visibility: hidden;
}

.checkbox {
   position: relative;
   display: block;
   width: 80px;
   height: 26px;
   margin: 0 auto;
   background: #FFF;
   border: 1px solid #2E2E2E;
   border-radius: 2px;
   -webkit-border-radius: 2px;
   -moz-border-radius: 2px;
}

.checkbox:after {
   position: absolute;
   display: inline;
   right: 10px;
   content: 'X';
   color: #E53935;
   font: 12px/26px Arial, sans-serif;
   font-weight: bold;
   text-transform: capitalize;
   z-index: 0;
}

.checkbox:before {
   position: absolute;
   display: inline;
   left: 10px;
   content: '\2713'; /*check mark*/
   color: #43A047;
   font: 14px/26px Arial, sans-serif;
   font-weight: bold;
   text-transform: capitalize;
   z-index: 0;
}

.checkbox label {
   position: absolute;
   display: block;
   top: 3px;
   left: 3px;
   width: 34px;
   height: 20px;
   background: #7f7f7f;
   cursor: pointer;
   transition: all 0.5s linear;
   -webkit-transition: all 0.5s linear;
   -moz-transition: all 0.5s linear;
   border-radius: 2px;
   -webkit-border-radius: 2px;
   -moz-border-radius: 2px;
   z-index: 1;
}

.checkbox input[type=checkbox]:checked + label {
   left: 43px;
}

.addbtn {
    background-color: #4CAF50;
    border: none;
    border-radius: 50%;
    /*
    width:100px;
    height:100px;
    */
    color: white;
    /*padding: 16px 16px;*/
    text-align: center;
    text-decoration: none;
    display: inline-block;
    /*font-size: 16px;*/
    /*margin: 4px 2px;*/
    -webkit-transition-duration: 0.5s; /* Safari */
    transition-duration: 0.5s;
    cursor: pointer;
}

.removebtn {
    background-color: #f44336;
    border: none;
    border-radius: 50%;
    /*
    width:100px;
    height:100px;
    */
    color: white;
    /*padding: 16px 16px;*/
    text-align: center;
    text-decoration: none;
    display: inline-block;
    /*font-size: 16px;*/
    /*margin: 4px 2px;*/
    -webkit-transition-duration: 0.5s; /* Safari */
    transition-duration: 0.5s;
    cursor: pointer;
}

.startbtn {
    background-color: #4CAF50;
    border: none;
    border-radius: 50%;
    /*
    width:100px;
    height:100px;
    */
    color: white;
    padding: 16px 16px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    -webkit-transition-duration: 0.5s; /* Safari */
    transition-duration: 0.5s;
    cursor: pointer;
}



.redbtn {
    background-color: white; 
    color: black; 
    border: 2px solid #f44336;
}

.redbtn:hover {
    background-color: #f44336;
    color: white;
}

.greenbtn {
    background-color: white; 
    color: black; 
    border: 2px solid #4CAF50;
}

.greenbtn:hover {
    background-color: #4CAF50;
    color: white;
}

.bluebtn {
    background-color: white; 
    color: black; 
    border: 2px solid #0000ff;
}

.bluebtn:hover {
    background-color: #0000ff;
    color: white;
}

.redbtn1{
    display: inline-block;
    text-decoration: none;
    background: #f44336;
    /*background: radial-gradient(circle, #f44336, white);*/
    color: #FFF;
    line-height: 120px;
    border-radius: 50%;
    text-align: center;
    font-weight: bold;
    vertical-align: middle;
    overflow: hidden;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.29);
    border-bottom: solid 3px #bd6565;
    transition: 0.3s;
    /*-webkit-transition-duration: 0.5s;
    transition-duration: 0.5s; */
}


.redbtn1:active{
    -ms-transform: translateY(2px);
    -webkit-transform: translateY(2px);
    transform: translateY(2px);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.15);
    border-bottom: none;
} 

.redbtn1:hover {
    background-color: #bd6565;
    color: white;
}

.greenbtn1{
    display: inline-block;
    text-decoration: none;
    background: #4CAF50;
    color: #FFF;
    line-height: 120px;
    border-radius: 50%;
    text-align: center;
    font-weight: bold;
    vertical-align: middle;
    overflow: hidden;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.29);
    border-bottom: solid 3px #669568;
    transition: 0.3s;
    /*-webkit-transition-duration: 0.5s;
    transition-duration: 0.5s; */
}


.greenbtn1:active{
    -ms-transform: translateY(2px);
    -webkit-transform: translateY(2px);
    transform: translateY(2px);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.15);
    border-bottom: none;
} 

.greenbtn1:hover {
    background-color: #669568;
    color: white;
}

.only-print
 {
  display: none;
 }
 
@media print
{
  .no-print
  {
  display:none;
  visibility: hidden;
  height: 0;
  }
  .only-print
  {
  display:block;
  }
}


/* from W3C */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #cc0000;
  -webkit-transition: .4s;
  transition: .4s;
}
/*
.slider:disabled {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ffe500;
  -webkit-transition: .4s;
  transition: .4s;
}*/

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #4e9a06;
}

input:disabled + .slider {
  background-color: #888a85;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

/*END W3C*/






 /*switch text with pure html
.switch {
  position: relative;
  display: inline-block;
  width: 90px;
  height: 34px;
}

.switch input {display:none;}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ca2222;
  -webkit-transition: .4s;
  transition: .4s;
   border-radius: 34px;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
  border-radius: 50%;
}

input:checked + .slider {
  background-color: #2ab934;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(55px);
}


.slider:after
{
 content:'OFF';
 color: white;
 display: block;
 position: absolute;
 transform: translate(-50%,-50%);
 top: 50%;
 left: 50%;
 font-size: 10px;
 font-family: Verdana, sans-serif;
}

input:checked + .slider:after
{  
  content:'ON';
}

--------- END --------
*/

/* ---switch text with label
<label class="switch"><input type="checkbox" id="togBtn"><div class="slider round">
<!--ADDED HTML --><span class="on">ON</span><span class="off">OFF</span><!--END--></div></label>



.switch {
  position: absolute;
  display: inline-block;
  width: 90px;
  height: 34px;
}

.switch input {display:none;}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ca2222;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2ab934;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(55px);
  -ms-transform: translateX(55px);
  transform: translateX(55px);
}

.on
{
  display: none;
}

.on, .off
{
  color: white;
  position: absolute;
  transform: translate(-50%,-50%);
  top: 50%;
  left: 50%;
  font-size: 10px;
  font-family: Verdana, sans-serif;
}

input:checked+ .slider .on
{display: block;}

input:checked + .slider .off
{display: none;}


/* Rounded sliders 
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
  }
*/

/* COMMON  to all switch types
.switch {
	position: relative;
	display: block;
	vertical-align: top;
	width: 80%;
	height: 30px;
	padding: 3px;
	margin: 0 10px 10px 0;
	background: linear-gradient(to bottom, #eeeeee, #FFFFFF 25px);
	background-image: -webkit-linear-gradient(top, #eeeeee, #FFFFFF 25px);
	border-radius: 18px;
	box-shadow: inset 0 -1px white, inset 0 1px 1px rgba(0, 0, 0, 0.05);
	cursor: pointer;
	box-sizing:content-box;
}
.switch-input {
	position: absolute;
	top: 0;
	left: 0;
	opacity: 0;
	box-sizing:content-box;
}
.switch-label {
	position: absolute;
	display: block;
	height: 40px;
	font-size: 10px;
	text-transform: uppercase;
	background: #eceeef;
	border-radius: inherit;
	box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.12), inset 0 0 2px rgba(0, 0, 0, 0.15);
	box-sizing:content-box;
}
.switch-label:before, .switch-label:after {
	position: absolute;
	top: 50%;
	margin-top: -.5em;
	line-height: 1;
	-webkit-transition: inherit;
	-moz-transition: inherit;
	-o-transition: inherit;
	transition: inherit;
	box-sizing:content-box;
}
.switch-label:before {
	content: attr(data-off);
	right: 11px;
	color: #aaaaaa;
	text-shadow: 0 1px rgba(255, 255, 255, 0.5);
}
.switch-label:after {
	content: attr(data-on);
	left: 11px;
	color: #FFFFFF;
	text-shadow: 0 1px rgba(0, 0, 0, 0.2);
	opacity: 0;
}
.switch-input:checked ~ .switch-label {
	background: #E1B42B;
	box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.15), inset 0 0 3px rgba(0, 0, 0, 0.2);
}
.switch-input:checked ~ .switch-label:before {
	opacity: 0;
}
.switch-input:checked ~ .switch-label:after {
	opacity: 1;
}
.switch-handle {
	position: absolute;
	top: 4px;
	left: 4px;
	width: 28px;
	height: 28px;
	background: linear-gradient(to bottom, #FFFFFF 40%, #f0f0f0);
	background-image: -webkit-linear-gradient(top, #FFFFFF 40%, #f0f0f0);
	border-radius: 100%;
	box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.2);
}
.switch-handle:before {
	content: "";
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -6px 0 0 -6px;
	width: 12px;
	height: 12px;
	background: linear-gradient(to bottom, #eeeeee, #FFFFFF);
	background-image: -webkit-linear-gradient(top, #eeeeee, #FFFFFF);
	border-radius: 6px;
	box-shadow: inset 0 1px rgba(0, 0, 0, 0.02);
}
.switch-input:checked ~ .switch-handle {
	left: 74px;
	box-shadow: -1px 1px 5px rgba(0, 0, 0, 0.2);
}
 
 Transition
========================== 
.switch-label, .switch-handle {
	transition: All 0.3s ease;
	-webkit-transition: All 0.3s ease;
	-moz-transition: All 0.3s ease;
	-o-transition: All 0.3s ease;
}


 Switch Yes No
==========================
    <label class="switch switch-yes-no">
    	<input class="switch-input" type="checkbox" />
    	<span class="switch-label" data-on="Yes" data-off="No"></span> 
    	<span class="switch-handle"></span> 
    </label>

.switch-yes-no {
	padding: 0;
	margin: 15px 0 0;
	background: #FFF;
	border-radius: 10px;
	background-image: none;
}
.switch-yes-no .switch-label {
	box-shadow: none;
	background: none;
}
.switch-yes-no .switch-label:after, .switch-yes-no .switch-label:before {
	width: 100%;
	height: 70%;
	top: 5px;
	left: 0;
	text-align: center;
	padding-top: 10%;
	box-shadow: inset 0 1px 4px rgba(0, 0, 0, 0.2), inset 0 0 3px rgba(0, 0, 0, 0.1);
}
.switch-yes-no .switch-label:after {
	color: #FFFFFF;
	background: #32CD32;
	backface-visibility: hidden;
	transform: rotateY(180deg);
}
.switch-yes-no .switch-label:before {
	background: #eceeef;
	backface-visibility: hidden;
}
.switch-yes-no .switch-handle {
	display: none;
}
.switch-yes-no .switch-input:checked ~ .switch-label {
	background: #FFF;
	border-color: #0088cc;
}
.switch-yes-no .switch-input:checked ~ .switch-label:before {
	transform: rotateY(180deg)
}
.switch-yes-no .switch-input:checked ~ .switch-label:after {
	transform: rotateY(0)
}

 Switch Slide
==========================

    <label class="switch switch-slide">
    	<input class="switch-input" type="checkbox" />
    	<span class="switch-label" data-on="Yes" data-off="No"></span> 
    	<span class="switch-handle"></span>
    </label>


.switch-slide {
	padding: 0;
	margin: 15px 0 0;
	background: #FFF;
	border-radius: 0;
	background-image: none;
}
.switch-slide .switch-label {
	box-shadow: none;
	background: none;
	overflow: hidden;
}
.switch-slide .switch-label:after, .switch-slide .switch-label:before {
	width: 100%;
	height: 65%;
	top: 5px;
	left: 0;
	text-align: center;
	padding-top: 10%;
	box-shadow: inset 0 1px 4px rgba(0, 0, 0, 0.2), inset 0 0 3px rgba(0, 0, 0, 0.1);
}
.switch-slide .switch-label:after {
	color: #FFFFFF;
	background: #87CEEB;
	left: -100px;
}
.switch-slide .switch-label:before {
	background: #eceeef;
}
.switch-slide .switch-handle {
	display: none;
}
.switch-slide .switch-input:checked ~ .switch-label {
	background: #FFF;
	border-color: #0088cc;
}
.switch-slide .switch-input:checked ~ .switch-label:before {
	left: 100px;
}
.switch-slide .switch-input:checked ~ .switch-label:after {
	left: 0;
}*/
